/* 
 * File:   vlcd_pwm.h
 * Author: Steffen Hofmann
 *
 * Created on 13. Dezember 2024, 16:15
 */

#ifndef VLCD_PWM_H
#define	VLCD_PWM_H

#include "hw.h"
#include "types.h"

#ifdef	__cplusplus
extern "C" {
#endif

#define PWM_1KHZ   1000
//- 1% ... 100% 
#define BACKLIGHT_DUTY(duty) (u8)( ((float)duty/100)*256 )
    
void pwm_init( void );
void PWM_Vlcd(unsigned long frequency, u8 duty);


#ifdef	__cplusplus
}
#endif

#endif	/* VLCD_PWM_H */

