/* 
 * File:   vlcd_spi.h
 * Author: Steffen Hofmann
 *
 * Created on 10. Dezember 2024, 16:16
 */

#ifndef VLCD_SPI_H
#define	VLCD_SPI_H

#include "hw.h"
#ifdef	__cplusplus
extern "C" {
#endif

void SPI0_init(void);
void Write_vlcd( uint8_t reg, uint8_t data );
uint8_t Read_vlcd( uint8_t reg );
uint8_t SPI0_exchangeData(uint8_t sent_data);


#ifdef	__cplusplus
}
#endif

#endif	/* VLCD_SPI_H */

